language: php
php:
  - 7.0
  - 7.1
  - 7.2

env:
  matrix:
    - LOWEST_DEPS=""
    - LOWEST_DEPS="--prefer-lowest"

before_script:
  - composer update --prefer-source $LOWEST_DEPS

script:
  - ./bin/phpunit
  - ./bin/sabre-cs-fixer fix . --dry-run --diff

sudo: false

cache: vendor
